#!/bin/bash
# nested-loop.sh : Boucles "for" imbriquées.

externe=1          # Initialisation du compteur de la boucle externe.

# Début de la boucle externe.
for a in 1 2 3 4 5
do
  echo "Tour $externe dans la boucle externe."
  echo "------------------------------"
  interne=1        # Initialisation du compteur de la boucle interne.

  # =====================================================================
  # Début de la boucle interne.
  for b in 1 2 3 4 5
  do
    echo "Tour $interne dans la boucle interne."
    let "interne+=1"  # Incrémentation du compteur de la boucle interne.
  done
  # Fin de la boucle interne.
  # =====================================================================

  let "externe+=1"    # Incrémentation du compteur de la boucle externe. 
  echo                # Espace entre chaque bloc en sortie de la boucle externe.
done
# Fin de la boucle externe.

exit 0
